/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.example.android.miwok;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    private TextView tv_numbers, tv_colors, tv_prasa, tv_family;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // Set the content of the activity to use the activity_main.xml layout file
        setContentView(R.layout.activity_main);
        tv_numbers = findViewById(R.id.numbers);
        tv_numbers.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //aksi memperlihatkan list view --> pindah activity
                Intent intent = new Intent(MainActivity.this, NumberActivity.class);
                intent.putExtra("info","number");
                startActivity(intent);
            }
        });
        tv_colors = findViewById(R.id.colors);
        tv_colors.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(MainActivity.this, NumberActivity.class);
                intent.putExtra("info","color");
                startActivity(intent);
            }
        });
        tv_prasa = findViewById(R.id.phrases);
        tv_prasa.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(MainActivity.this, NumberActivity.class);
                intent.putExtra("info","phrase");
                startActivity(intent);
            }
        });
        tv_family = findViewById(R.id.family);
        tv_family.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(MainActivity.this, NumberActivity.class);
                intent.putExtra("info","family");
                startActivity(intent);
            }
        });
    }
}
