package com.example.android.miwok;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.DividerItemDecoration;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class NumberActivity extends AppCompatActivity {
    private RecyclerView listView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_number);
        listView = findViewById(R.id.list_viewNomor);

        //data
        ArrayList<Word> words = Utils.getNumbers();
        int backgroundColor = 0;

        if(getIntent().getStringExtra("info")!=null){
            String info = getIntent().getStringExtra("info");
            switch (info){
                case "number":
                    words = Utils.getNumbers();
                    backgroundColor = R.color.category_numbers;
                    setTitle("Number");
                    break;
                case "family":
                    words = Utils.getFamilies();
                    backgroundColor = R.color.category_family;
                    setTitle("Family");
                    break;
                case "color":
                    words = Utils.getColors();
                    backgroundColor = R.color.category_colors;
                    setTitle("Color");
                    break;
                case "phrase":
                    words = Utils.getPhrases();
                    backgroundColor = R.color.category_phrases;
                    setTitle("Phrase");
                    break;
            }
        }


        //adapter
        WordAdapter adapter = new WordAdapter(NumberActivity.this,words);
        adapter.setBackgroundColor(backgroundColor);

        //layout manager
        LinearLayoutManager lm = new LinearLayoutManager(NumberActivity.this);

        //menambahkan divider
        DividerItemDecoration divider = new DividerItemDecoration(
                NumberActivity.this,
                lm.getOrientation()
        );

        //menghubungkan semuanya
        listView.setAdapter(adapter);
        listView.setLayoutManager(lm);
        listView.addItemDecoration(divider);

//        ArrayList<String> words = new ArrayList<>();
//       words.add("one");
//       words.add("two");
//       words.add("three");
//       words.add("four");
//       words.add("five");
//       words.add("six");
//       words.add("seven");
//        List<String> word = Arrays.asList(
//                getResources().getStringArray(R.array.daftar_nomor)
//        );
//        ArrayAdapter<String> adapter = new ArrayAdapter<>(
//                NumberActivity.this,
//                android.R.layout.simple_list_item_1,
//                word
//        );
//        listView.setAdapter(adapter);
    }
}
