package com.example.android.miwok;

import android.content.Context;
import android.support.annotation.NonNull;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.ArrayList;

public class WordAdapter extends RecyclerView.Adapter<WordAdapter.WordViewHolder> {
    private Context mContext;
    private ArrayList<Word> words;
    private int backgroundColor;

    public void setBackgroundColor(int backgroundColor) {
        this.backgroundColor = backgroundColor;
    }

    public WordAdapter(Context mContext, ArrayList<Word> words) {
        this.mContext = mContext;
        this.words = words;
    }

    @NonNull
    @Override
    public WordViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        LayoutInflater inflater = LayoutInflater.from(mContext);
        View view = inflater.inflate(
                R.layout.list_word_item,
                parent,
                false
        );
        WordViewHolder holder = new WordViewHolder(view);
        return holder;
    }

    @Override
    public void onBindViewHolder(@NonNull WordViewHolder holder, int position) {
        Word w = words.get(position);
        holder.tvMiwok.setText(w.getwMiwok());
        holder.tvEnglish.setText(w.getwEnglish());
        holder.imageView.setImageResource(w.getImageResource());
    }

    @Override
    public int getItemCount() {
        return words.size();
    }

    class WordViewHolder extends RecyclerView.ViewHolder{
        final TextView tvEnglish;
        final TextView tvMiwok;
        final ImageView imageView;
        public WordViewHolder(View itemView) {
            super(itemView);
            tvEnglish = itemView.findViewById(R.id.tv_english);
            tvMiwok = itemView.findViewById(R.id.tv_miwok);
            imageView = itemView.findViewById(R.id.imageView2);
            tvEnglish.setBackgroundResource(backgroundColor);
            tvMiwok.setBackgroundResource(backgroundColor);
        }
    }

}
